%define module_name	acerhk
%define module_version	0.5.35
%define module_release	alt1

%define kversion	2.6.25
%define krelease	alt8.M41.5
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132633.8.M41.5

Group: System/Kernel and hardware
Summary: %module_name kernel module for Acer laptops
Url: http://code.google.com/p/aceracpi/
License: GPL

ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: perl
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release
ExclusiveArch: i586
PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
%description
acer_acpi is a Linux kernel module to allow control of some of the hardware on
later model Acer (and other Wistron OEM) laptops.

%prep
rm -rf kernel-source-%module_name-%{module_version}*

tar jxf %kernel_src/kernel-source-%module_name-%module_version.tar.*

%setup -D -T -n kernel-source-%module_name-%module_version
%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%ifarch %ix86
CC="gcc-$GCC_VERSION -m32" \
%else
CC="gcc-$GCC_VERSION" \
%endif
%make  KERNELSRC=%_usrsrc/linux-%kversion-%flavour/ SUBDIRS=$(pwd)/modules

%install
mkdir -p %buildroot/%module_dir
cp -a *.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%dir %module_dir/
%module_dir/*

%changelog
* Mon Aug 17 2009 Michail Yakushin <silicium@altlinux.ru> 0.5.35-alt1.132633.8.M41.5
- Build for kernel-image-std-pae-2.6.25-alt8.M41.5.

* Tue Mar 11 2008 Michail Yakushin <silicium@altlinux.ru> 0.5.53-alt1
- inital build for alt



